# $Revision: 1.21 $, $Date: 2009/08/20 06:06:48 $
Summary:	X.org video driver for 3Dfx video adapters
Summary(pl.UTF-8):	Sterownik obrazu X.org dla kart graficznych 3Dfx
Name:		xorg-driver-video-tdfx
Version:	1.4.2
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-tdfx-%{version}.tar.bz2
# Source0-md5:	abc1e272ab184edf3cd51daa1b91ddcf
URL:		http://xorg.freedesktop.org/
BuildRequires:	Mesa-libGL-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xf86dgaproto-devel
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
BuildRequires:  rpmbuild(macros) >= 1.389
%requires_xorg_xserver_videodrv
Requires:	xorg-xserver-libdri >= 1.0.99.901
Requires:	xorg-xserver-libglx >= 1.0.99.901
Requires:	xorg-xserver-server >= 1.0.99.901
Obsoletes:	X11-driver-tdfx < 1:7.0.0
Obsoletes:	XFree86-3dfx
Obsoletes:	XFree86-driver-tdfx < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for 3Dfx video adapters. It supports Voodoo
Banshee, Voodoo3, Voodoo4 and Voodoo5 cards.

%description -l pl.UTF-8
Sterownik obrazu X.org dla kart graficznych 3Dfx. Obsługuje karty
Voodoo Banshee, Voodoo3, Voodoo4 i Voodoo5.

%prep
%setup -q -n xf86-video-tdfx-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/tdfx_drv.so
%{_mandir}/man4/tdfx.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-tdfx.spec,v $
Revision 1.21  2009/08/20 06:06:48  amateja
- updated to 1.4.2

Revision 1.20  2009/02/25 21:43:49  arekm
- up to 1.4.1

Revision 1.19  2009/02/25 21:07:29  arekm
- release 5

Revision 1.18  2008/12/27 09:23:23  qboosh
- R: xorg libdri,libglx

Revision 1.17  2008/09/13 00:18:13  qboosh
- release 4, crash was tdfx_dri fault

Revision 1.16  2008/09/12 21:48:45  qboosh
- added chiptype patch to detect chipset properly
- release 3.1, still broken (enabled DRI = instant xserver crash)

Revision 1.15  2008/08/30 16:34:43  arekm
- release 3

Revision 1.14  2008/07/01 16:11:55  arekm
- release 2

Revision 1.13  2008-03-19 19:54:58  arekm
- up to 1.4.0

Revision 1.12  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.11  2007/09/06 16:22:52  arekm
- track xserver videodrv deps

Revision 1.10  2007/04/30 20:05:12  qboosh
- Obsoletes for XFree86/X11 drivers

Revision 1.9  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.7  2006/11/23 10:05:05  qboosh
- updated to 1.3.0

Revision 1.6  2006/10/18 07:56:46  qboosh
- updated to 1.2.2

Revision 1.5  2006/04/11 12:33:25  qboosh
- updated to 1.2.1

Revision 1.4  2006/01/10 10:46:20  qboosh
- 1.1.1.3 (X11R7.0 release)

Revision 1.3  2005/12/08 14:36:27  qboosh
- 1.1.1.1 (X11R7.0-RC3)

Revision 1.2  2005/11/20 16:24:45  qboosh
- 1.1.1 (X11R7.0-RC2)

Revision 1.1  2005/10/30 23:59:21  qboosh
- new
